ProTect Security Staff Training is mandatory for anyone providing security services in a Class A Minors Prohibited licensed establishment, as well as for managers and supervisors of security staff. Owners, managers, and employees of companies contracted to provide security in a Class A Minors Prohibited licensed premises are also required to successfully complete the program.

In this course you will learn:

  • Roles and responsibilities of security staff
  • Essential steps to controlling customer disturbances
  • Strategies to stay in control of a bad situation
  • Actions and behaviours to de-escalate disputes
  • Principles for dealing with extreme situations
  • The importance of keeping your cool, and
  • Legal responsibilities and liabilities
Time to complete: 30 days

Learn and take the exam online. Audio support is provided.

Your computer/wireless device must meet these minimum system requirements:

  • Operating system: Windows XP and newer, or Mac OS 10.3 and newer
  • Browser: Internet Explorer (IE) 9, Mozilla Firefox 12, Google Chrome 18 or Safari 5 and newer
  • Adobe Flash version 9 or higher to play the videos
  • Adobe Acrobat Reader, free download
  • Sound card and speakers are recommended
  • Stable, high-speed Internet connection is recommended

Time to complete: 30 days

Note: AGLC policy requires liquor and gaming industry workers to have the certification(s) required for their position(s) within 30 days of their employment start date or before their current certificate expires. Special event workers who require ProTect certification must be certified before the special event.

If you require ProTect certification for the work you do, you must also be certified with ProServe.

You have 30 days from the date of registration to successfully complete your program.

Languages available: English

How to register: Click on the Register button. Follow the on-screen instructions to complete the program.

Cost: No charge.

System Requirements
  • Operating system - Windows XP and newer; or Mac OS 10.3 and newer
  • Browser - Internet Explorer (IE) 9, Mozilla Firefox 12, Google Chrome 18 or Safari 5 and newer
  • Adobe Flash version 9 or higher, to play the SMART Programs videos
  • Adobe Acrobat Reader, free download
  • Sound card and speakers are highly recommended
  • Stable, high speed Internet connection is recommended
Sign In/Create Account to enroll in this program.